## net.i2p.router.web
Class UpdateHandler

    java.lang.Object
      net.i2p.router.web.UpdateHandler

    public class UpdateHandler

extends java.lang.Object

Handles the request to update the router by firing off an `EepGet` call to download the latest signed update file and displaying the status to anyone who asks.

After the download completes the signed update file is verified with `TrustedUpdate`, and if it's authentic the payload of the signed update file is unpacked and the router is restarted to complete the update process.

Nested Class Summary
`class` `UpdateHandler.UpdateRunner`

Constructor Summary
`UpdateHandler()`
`UpdateHandler(RouterContext ctx)`

Method Summary
`java.lang.String` `getStatus()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`void` `setUpdateNonce(java.lang.String nonce)`
`void` `update()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateHandler

    public UpdateHandler()

### UpdateHandler

    public UpdateHandler(RouterContext ctx)

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### setUpdateNonce

    public void setUpdateNonce(java.lang.String nonce)

### update

    public void update()

### getStatus

    public java.lang.String getStatus()